<template>
  <div style="margin-right: 10px; color:#1890ff; cursor: pointer; user-select：none;" @click="moreToggle">
    <span style="margin-right: 5px">{{ showMore ? '收起' : '展开'}}</span>
    <i :class="showMore ? 'el-icon-arrow-up' : 'el-icon-arrow-down'" style="font-size: 16px;"></i>
  </div>
</template>

<script>
export default {
  name: 'show-more',
  data () {
    return {
      showMore: false
    }
  },
  methods: {
    moreToggle () {
      this.showMore = !this.showMore
      this.$emit('update:showMoreCondition', this.showMore)
    },
  }
}
</script>

<style scoped>

</style>
